fair::mq::shmem::Region Struct Reference
Collaboration diagram for fair::mq::shmem::Region:
[legend]

## Public Member Functions

| Region (Manager &manager, uint64_t id, uint64_t size, bool remote, FairMQRegionCallback callback=nullptr)
| Region (const Region &)=default
| Region (Region &&)=default
void | StartReceivingAcks ()
void | ReceiveAcks ()

## Public Attributes

Manager & | fManager
bool | fRemote
bool | fStop
std::string | fName
std::string | fQueueName
boost::interprocess::shared_memory_object | fShmemObject
boost::interprocess::mapped_region | fRegion
std::unique_ptr< boost::interprocess::message_queue > | fQueue
std::thread | fWorker
FairMQRegionCallback | fCallback

The documentation for this struct was generated from the following files:

- fairmq/shmem/Region.h
- fairmq/shmem/Region.cxx